Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Reports - Take Over In Group
- Service:
- Power BI REST APIs
- API Version:
- v1.0
Transfers ownership of the data sources for the specified paginated report (RDL) to the current authorized user.
Permissions
This API call can be called by a service principal profile. For more information see: Service principal profiles in Power BI Embedded.
Required Scope
Report.ReadWrite.All
Limitations
Only supports paginated reports.
POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/reports/{reportId}/Default.TakeOver
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
groupId
|
path | True |
string (uuid) |
The workspace ID |
|
reportId
|
path | True |
string (uuid) |
The report ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Example
Sample request
POST https://api.powerbi.com/v1.0/myorg/groups/f089354e-8366-4e18-aea3-4cb4a3a50b48/reports/cfafbeb1-8037-4d0c-896e-a46fb27ff229/Default.TakeOver
Sample response
- Status code:
- 200
